# ---> Java
*.class

# Mobile Tools for Java (J2ME)
.mtj.tmp/

# Package Files #
*.jar
!lib/*.jar
*.war
*.ear

# virtual machine crash logs, see http://www.java.com/en/download/help/error_hotspot.xml
hs_err_pid*

# ---> Intellij IDEA project files
*.iml
.idea/
*.ipr
*.iws

# ---> Eclipse project files
.classpath
.factorypath
.project
tmlog.lck
.settings/**
logs/**
bin/

# ---> Maven
target/

# ---> Gradle
.gradle/
gradle-app.setting
!gradle-wrapper.jar
build/

# ---> Others
.DS_Store
*.log

app.pid
